//
// Created by lukas on 01.02.22.
//

#ifndef LEDSTRIPINTERFACE_LOADANIMATIONBASE_H
#define LEDSTRIPINTERFACE_LOADANIMATIONBASE_H

#include "Adafruit_NeoPixel.h"

class LoadAnimationBase {
 public:
  /**
   * start the animation if not already runnint
   * @param strip pointer to strip object
   */
  virtual void startLoadAnimation(Adafruit_NeoPixel *strip) = 0;

  /**
   * stop the animation
   */
  virtual void stopLoadAnimation() = 0;

  virtual bool animationActive() = 0;
};

#endif  // LEDSTRIPINTERFACE_LOADANIMATIONBASE_H
