//
// Created by lukas on 01.02.22.
//

#ifndef LEDSTRIPINTERFACE_PINGLOADANIMATOR_H
#define LEDSTRIPINTERFACE_PINGLOADANIMATOR_H

#include <Ticker.h>
#include "LoadAnimationBase.h"
class PingLoadAnimator : LoadAnimationBase {
 private:
  Ticker timer;
  Adafruit_NeoPixel *strip;

  /**
   * one animation step to process the animation
   */
  void animationStep();
 public:
  void startLoadAnimation(Adafruit_NeoPixel* strip) override;
  void stopLoadAnimation() override;
  bool animationActive() override;
};

#endif  // LEDSTRIPINTERFACE_PINGLOADANIMATOR_H
